Assessment Groups
List members of an Assessment Group
Returns the users currently assigned to the Assessment Group, with their roles and membership timestamps. Supports pagination, sorting, and an optional role filter.
GET
/
v1
/
assessment-groups
/
{assessmentGroupId}
/
members
List members of an Assessment Group
curl --request GET \
--url https://client.synack.com/api/assessment/v1/assessment-groups/{assessmentGroupId}/members \
--header 'Authorization: Bearer <token>'import requests
url = "https://client.synack.com/api/assessment/v1/assessment-groups/{assessmentGroupId}/members"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://client.synack.com/api/assessment/v1/assessment-groups/{assessmentGroupId}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://client.synack.com/api/assessment/v1/assessment-groups/{assessmentGroupId}/members",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://client.synack.com/api/assessment/v1/assessment-groups/{assessmentGroupId}/members"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://client.synack.com/api/assessment/v1/assessment-groups/{assessmentGroupId}/members")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://client.synack.com/api/assessment/v1/assessment-groups/{assessmentGroupId}/members")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"members": [
{
"userUid": "<string>",
"role": "rbac_group_admin",
"id": 123,
"createdAt": "2023-11-07T05:31:56Z",
"userEmail": "jsmith@example.com",
"userName": "<string>"
}
],
"metadata": {
"pagination": {
"total": 1,
"page": 2,
"perPage": 2,
"totalPages": 1,
"self": "<string>",
"prev": "<string>",
"next": "<string>",
"first": "<string>",
"last": "<string>"
},
"actions": [
{}
]
}
}{
"status": 123,
"title": "<string>",
"type": "https://errors.synack.com/assessment/group-not-found",
"detail": "<string>",
"instance": "<string>",
"logId": "<string>"
}{
"status": 123,
"title": "<string>",
"type": "https://errors.synack.com/assessment/group-not-found",
"detail": "<string>",
"instance": "<string>",
"logId": "<string>"
}{
"status": 123,
"title": "<string>",
"type": "https://errors.synack.com/assessment/group-not-found",
"detail": "<string>",
"instance": "<string>",
"logId": "<string>"
}{
"status": 123,
"title": "<string>",
"type": "https://errors.synack.com/assessment/group-not-found",
"detail": "<string>",
"instance": "<string>",
"logId": "<string>"
}{
"status": 123,
"title": "<string>",
"type": "https://errors.synack.com/assessment/group-not-found",
"detail": "<string>",
"instance": "<string>",
"logId": "<string>"
}Authorizations
Path Parameters
Query Parameters
Filter members by role.
Strongbolt role granted to (or held by) an Assessment Group
member. Mirrors CLIENT_VISIBLE_ROLES_ASSIGNABLE_TO_ORG_LISTING_GROUP
in synack_synack's strongbolt initializer.
Available options:
rbac_group_admin, assessment_member, assessment_creator, assessment_read_only, assessment_operator, infra_admin ⌘I
List members of an Assessment Group
curl --request GET \
--url https://client.synack.com/api/assessment/v1/assessment-groups/{assessmentGroupId}/members \
--header 'Authorization: Bearer <token>'import requests
url = "https://client.synack.com/api/assessment/v1/assessment-groups/{assessmentGroupId}/members"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://client.synack.com/api/assessment/v1/assessment-groups/{assessmentGroupId}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://client.synack.com/api/assessment/v1/assessment-groups/{assessmentGroupId}/members",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://client.synack.com/api/assessment/v1/assessment-groups/{assessmentGroupId}/members"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://client.synack.com/api/assessment/v1/assessment-groups/{assessmentGroupId}/members")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://client.synack.com/api/assessment/v1/assessment-groups/{assessmentGroupId}/members")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"members": [
{
"userUid": "<string>",
"role": "rbac_group_admin",
"id": 123,
"createdAt": "2023-11-07T05:31:56Z",
"userEmail": "jsmith@example.com",
"userName": "<string>"
}
],
"metadata": {
"pagination": {
"total": 1,
"page": 2,
"perPage": 2,
"totalPages": 1,
"self": "<string>",
"prev": "<string>",
"next": "<string>",
"first": "<string>",
"last": "<string>"
},
"actions": [
{}
]
}
}{
"status": 123,
"title": "<string>",
"type": "https://errors.synack.com/assessment/group-not-found",
"detail": "<string>",
"instance": "<string>",
"logId": "<string>"
}{
"status": 123,
"title": "<string>",
"type": "https://errors.synack.com/assessment/group-not-found",
"detail": "<string>",
"instance": "<string>",
"logId": "<string>"
}{
"status": 123,
"title": "<string>",
"type": "https://errors.synack.com/assessment/group-not-found",
"detail": "<string>",
"instance": "<string>",
"logId": "<string>"
}{
"status": 123,
"title": "<string>",
"type": "https://errors.synack.com/assessment/group-not-found",
"detail": "<string>",
"instance": "<string>",
"logId": "<string>"
}{
"status": 123,
"title": "<string>",
"type": "https://errors.synack.com/assessment/group-not-found",
"detail": "<string>",
"instance": "<string>",
"logId": "<string>"
}